<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- #{dataSet} must be of type TlsTestDataSet -->
    <!-- #{manager} must implement TlsTestDataSetDisplayer interface. -->
    <dl class="dl-horizontal">
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.Name']}</ui:define>
            <h:outputText value="#{dataSet.name} (##{dataSet.id})"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.LastChange']}</ui:define>
            <g:date value="#{dataSet.lastChanged}"/>
            <h:outputText value=" #{messages['net.ihe.gazelle.atna.By']} #{manager.getUserName(dataSet.lastModifierId)}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Context']}</ui:define>
            <h:outputText value="#{dataSet.context}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Protocols']}</ui:define>
            <h:outputText value="#{dataSet.protocols.toString()}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CipherSuites']}</ui:define>
            <h:outputText value="#{dataSet.cipherSuites.toString()}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.IsClientAuthenticationRequired']}</ui:define>
            <h:outputText value="#{dataSet.isNeedClientAuth()}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Certificate']}</ui:define>
            <h:outputText value="#{dataSet.certificate.getSubject()}&#160;"/>
            <h:outputLink id="detailLink" value="#{manager.linkToCertificate()}"
                          title="#{messages['net.ihe.gazelle.atna.ViewCertificate']}" target="_blank">
                <span class="fa fa-search"></span>
            </h:outputLink>
        </ui:decorate>
        <h:panelGroup rendered="#{dataSet.isUseSystemCACerts()}">
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.TrustInSystemCACertificate']}</ui:define>
                <h:outputText value="#{dataSet.isUseSystemCACerts()}"/>
            </ui:decorate>
        </h:panelGroup>
        <h:panelGroup rendered="#{not dataSet.isUseSystemCACerts()}">
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.TrustedIssuers']}</ui:define>
                <h:outputText value="#{dataSet.getTrustedIssuersToString()}"/>
            </ui:decorate>
        </h:panelGroup>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CheckRevocation']}</ui:define>
            <h:outputText value="#{dataSet.checkRevocation}"/>
        </ui:decorate>
    </dl>
</ui:composition>
